import axios from 'axios'
// import history from './history'
// import { getTokenInfo } from './storage'
// 请求基地址
export const baseURL = process.env.NODE_ENV === "development" ? 'https://hnbwg.4dage.com' : ''

// 创建 axios 实例
const http = axios.create({
  baseURL,
  timeout: 5000,
})

// 请求拦截器
http.interceptors.request.use(
  function (config: any) {
    // const { token } = getTokenInfo()
    // if (token) config.headers.Authorization = `Bearer ${token}`
    return config
  },
  function (err) {
    return Promise.reject(err)
  },
)

// 响应拦截器
http.interceptors.response.use(
  function (response) {
    return response.data
  },
  async function (err) {
    // 如果因为网络原因，response没有，给提示消息
    if (!err.response) {
      alert('网络繁忙，请稍后重试')
    } else {
      // 网络没问题，后台返回了有数据

      // token过期
      // if (err.response.status === 401) {
      //   history.push('/Login')

      // }
    }

    return Promise.reject(err)
  },
)

// 导出 axios 实例
export default http